FeedWordPress and WordPress 2.5.1 compatibility issue

I wanted to post a quick note because I have received several reports of a serious compatability issue between FeedWordPress and the most recent public release of WordPress, version 2.5.1. Although FWP is broadly compatible with the initial release of WordPress 2.5, the recent update apparently eliminates an interface function that FeedWordPress used to display a box for selecting categories in the Syndication options and the feed settings pages. Since the function no longer exists in WordPress 2.5.1, it means that a fatal PHP error (shown either by a prematurely cut-off display, or in the form of a printed PHP error message) will be triggered if you attempt to use either of these pages in the WordPress Dashboard. (As far as I know, syndication will continue to work fine with WordPress 2.5.1; the error will prevent you from changing configuration settings from within the WordPress Dashboard.)

This problem should, hopefully, be something that it won’t be too hard to fix once I am able to sit down and work on it. Unfortunately, the release came after I had left to visit family in Alabama, so I can’t get to making the fix until I return home early in the upcoming week. Once I do, I’ll release an immediate compatability fix, and then return to work on a more thorough update, which I hope to release sometime during the month of May.

I’ll check back in with y’all once I’ve gotten home.

27 thoughts on “FeedWordPress and WordPress 2.5.1 compatibility issue

  1. I am looking forward to the update. Cant access the options page either..

  2. Dear sir I surprised when you said the Feedwordpress has not syndication problem with 2.5 and 2.5.1. As far as I know , When I updated my wordpress to both of 2.5 and 2.5.1 I have big problem with plugin.I setup the plugin to update the blogs every 30 minutes but some of blogs can not updated to 12 , 16 and ever 24 hours.Then I updated the blog manually and this is a huge job when i have more than 50 blogs

  3. I ended up adding the three functions (sortcats, wpsetcheckedpostcategories, and getnested_categories) that are needed for the option pages to work to the “legacy” section of feedwordpress.php. If you have access to WP 2.5 (the functions were removed in 2.5.1), the functions can be found in wp-admin/includes/template.php, starting at line 112. After adding these three functions, the admin pages work as expected on WP 2.5.1.

  4. This is an update to a comment I left earlier about feedwordpress not updating for my fresh install of WP 2.5.1

    After monitoring my site over the last week, it appears that the updates actually occur but not all of the feeds get updated. In fact a lot of the feeds do not seem to be updating (I have about 400 feeds but I did not encounter this issue in my previous install).

    I also would like to know if 400 feeds is actually too much and what kind of effect it might have on my shared hosting because I received a notice that my site was consuming too much resources (this is what necessitated the upgrade to WP 2.5.1 in the first place and even though the consumption has reduced, I still get high CPU (average 3.0 and top processes in the range of 50-60%).

    I would really appreciate any help on this. Thanks a lot!

  5. Tony, it sounds like you have too many feeds. How often to you update them? It might be good to try to do it more often so that each time some of the feeds are still fresh from the last check and thus don’t need to be rechecked. Overall you will use more resources, but your shared host won’t be staring at such high load for such long periods of time. I never actually implemented it, but that was my plan for mitigating the resources on my FWP site if it got too unwieldy. You may also just have to get a more gracious or powerful host if you want to aggregate that many feeds.

  6. This is cool. I can’t use feedwordpress in my WPMU. So I install WP 2.5.1 and feedwordpress 0.993. Looks ok. But why only the title that shown up? From 10 contributors, only 2 that shown the content. Can you help me? Thanks.

  7. hello i have installed your newest ver 0.993 within my wp2.5.1 everytime i try to change anything in the syndication options it goes to a white page that says “Are you sure you want to do this? Please try again.” and it will not let me update any options or add any feeds or do anything else

    suppose to be 2.5.1 compatible any ideas?

  8. There appears to be a couple of bugs with 2.5.1 and FeedWordpress. I’m using 0.993, but have found that I have to turn off FeedWordpress in order for the flash image uploader to work or to be able to add pictures to a post. Also, if your using a theme with 2 columns, you cannot add widgets to the 2nd column unless you turn off FeedWordpress. I’ve repeated this several times and have found that deactiviating FeedWordpress is the only way I can change widgets on my 2nd sidebar or add pictures to posts.

  9. I too am having the same problem as casey – “Are you sure you want to do this?” followed by a blank page after trying to add a URL.

    Any idea?

  10. update: I modified feedwordpress.php at line 885 and commented the following code:

    // checkadminreferer();

    Which basically avoids checking for CSF attacks. It seems to work after that. I don’t know if that means anything to you.

  11. igot this one too 🙁

    “I too am having the same problem as casey – “Are you sure you want to do this?” followed by a blank page after trying to add a URL.

    Any idea?”

    damn… 🙁

  12. “update: I modified feedwordpress.php at line 885 and commented the following code:

    // checkadminreferer(); ….”

    This one wont work for mine 🙁

  13. i cannot add new syndication either delete one, always shown with “Are you sure you want to do this?” followed by a blank page after trying to add a URL.

    Any idea?

  14. line 116, column 130: XML parsing error: :116:130: not well-formed (invalid token) [help] … 8/index.php?agent_name=webmaster&account=7510&referer%5BRSSNOBLOG%5D=11. … ^

    line 116

  15. Hello!!! I had such mistake Look please. A mistake at viewing RSS of a tape on mine блоге here

    line 116, column 130: XML parsing error: :116:130: not well-formed (invalid token) [help] … 8/index.php?agent_name=webmaster&account=7510&referer%5BRSSNOBLOG%5D=11. … ^

    line 116

Comments are closed.